# IIOPC.cpp File Reference

`#include "IIOPC.h"`
`#include "tao/CDR.h"`

Include dependency graph for IIOPC.cpp:

## Namespaces

namespace | TAO

## Defines

#define | _IIOP_LISTENPOINTLIST_CS_

## Functions

CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IIOP::ListenPoint &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IIOP::ListenPoint &_tao_aggregate)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IIOP::ListenPointList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IIOP::ListenPointList &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const IIOP::BiDirIIOPServiceContext &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, IIOP::BiDirIIOPServiceContext &_tao_aggregate)

## Define Documentation

#define _IIOP_LISTENPOINTLIST_CS_

## Function Documentation

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IIOP::BiDirIIOPServiceContext & | _tao_aggregate
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IIOP::ListenPointList & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IIOP::ListenPoint & | _tao_aggregate
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IIOP::BiDirIIOPServiceContext & | _tao_aggregate
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IIOP::ListenPointList & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IIOP::ListenPoint & | _tao_aggregate
| ) |